MESG(1)

BEZEICHNUNG
mesg - Nachrichten von anderen Benutzern anzeigen (oder nicht)

ÜBERSICHT

mesg [Option] [n|y]

BESCHREIBUNG

Das Dienstprogramm mesg wird von einem Benutzer aufgerufen, um den Schreibzugriff anderer auf das Terminal zu steuern, das mit der Standardfehlerausgabe verknüpft ist. Falls der Schreibzugriff gestattet wird, dann können Programme wie talk(1) und write(1) Nachrichten im Terminal anzeigen.

Traditionell ist der Schreibzugriff standardmäßig erlaubt. Als jedoch diverse Sicherheitsaspekte in das Bewusstsein der Benutzer rückten, ergab sich der Trend, den Schreibzugriff standardmäßig zu unterbinden, zumindest für die primäre Anmelde-Shell. Um sicherzustellen, dass Ihre TTYs nach Ihren Wünschen gesetzt sind, sollte mesg in Ihren Anmeldeskripten ausgeführt werden.

The mesg utility silently exits with error status 2 if not executed on a terminal. In this case executing mesg is pointless. The command line option --verbose forces mesg to print a warning in this situation. This behaviour has been introduced in version 2.33.

ARGUMENTE

n
    unterbindet Nachrichten.

y
    erlaubt die Anzeige von Nachrichten.

Falls keine Argumente angegeben sind, zeigt mesg den aktuellen Nachrichtenstatus im Fehlerkanal der Standardausgabe an.

OPTIONEN

-v, --verbose
    erklärt, was geschieht.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

Das Dienstprogramm mesg gibt die folgenden Rückgabewerte aus:

0
    Nachrichten sind erlaubt.

1
    Nachrichten sind nicht erlaubt.

>1
    Ein Fehler ist aufgetreten.

DATEIEN

/dev/[pt]ty*, /dev/pts/[0-9]*

GESCHICHTE

mesg (I) appears in the UNIX Programmer’s Manual. It used to invert the current state with no argument before Version 7 AT&T UNIX.

SIEHE AUCH

login(1), talk(1), write(1), wall(1), xterm(1)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl mesg ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.